%define	name	SDL_mixer
%define	version	1.2.7
%define	rel	4
%define	lib_name_orig lib%{name}
%define	lib_major 1.2
%define	lib_name %mklibname %{name} %{lib_major}

Summary:	Simple DirectMedia Layer - mixer
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.bz2
Patch1:		SDL_mixer-1.2.7-fix-path-timidity.patch
Patch2:		SDL_mixer-1.2.7-link-against-system-libmikmod.patch
Patch3:		SDL_mixer-1.2.7-timidity-crash.patch
Patch4:		SDL_mixer-1.2.4-64bit-fix.patch
Patch5:		SDL_mixer-1.2.5-endian-fixes.patch
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.libsdl.org/projects/SDL_mixer/
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	esound-devel
BuildRequires:	libmikmod-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	smpeg-devel >= 0.4.3

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	SDL-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Obsoletes:	%{lib_name}-test
Provides:	%{lib_name}-test
Requires:	%{lib_name} >= 1.2.6-2mdk

%description -n	%{name}-player
This package contains binary to test the associated library.

%prep
%setup -q
%patch1 -p1 -b .timidity
%patch2 -p1 -b .libmikmod
%patch3 -p0 -b .timidity_crash
%patch4 -p0 -b .64bit
%patch5 -p0 -b .endian

%build
#gw our libtool is too old
%define __cputoolize true
aclocal
autoconf
%configure2_5x	--enable-music-libmikmod \
		--enable-music-native-midi \
		--disable-music-ogg-shared \
		--disable-music-mp3-shared
%make

%install
rm -rf %{buildroot}
%makeinstall install-bin

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{lib_name}
%defattr(-,root,root)
%doc mikmod/AUTHORS mikmod/README
%doc timidity/FAQ timidity/README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*


%changelog
* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.7-4mdv2007.0
+ Revision: 125375
- Rebuilt against libgii|libggi.

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - ouch, fix libmikmod patch
    - versioned provides for %%{name}-devel
    - link against smpeg, otherwise it won't pull in required dependency
      link against system libmikmod (P2, derived from debian, then fixed)
      fix timidity crash (P3, from SuSE)
      64 bit fixes (P4, from SuSE)
      endian fixes (P5, from SuSE)
    - Import SDL_mixer



* Sat Jun 24 2006 Gtz Waschk <waschk@mandriva.org> 1.2.7-1mdv2007.0
- fix installation
- bump deps
- update patch 1
- New release 1.2.7

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-4mdk
- rebuild for sparc

* Sat Jan 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- make rpmbuildupdate aware
- BuildRequires: libmikmod-devel

* Fri Oct 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.6-2mdk
- update, fix and reenable timidity patch (P1) (why was it disabled?)
- make the player require the library on release as there are fixes
  in the library for it to play midi
- %%mkrel
- drop gcc3.3 (P2) and 64 bit (P3) patches as they're no longer used
- drop copyright docs
- cosmetics

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-1mdk
- Release: 1.2.6.

* Sat Nov 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-5mdk
- rebuild

* Thu Jul 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.5-4mdk
- merged Gwenole 64-bit fixes from 1.2.5-3.1mdk (AMD64).

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-3mdk
- mklibname

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.2.5-2mdk
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- drop Prefix tag
- use %%make macro
- fix smpeg test source in configure script so smpeg support won't be left out (P2)

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-1mdk
- new version (and have also the new devel provides btw)

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 1.2.4-6mdk
- rebuild for rpm -4.2

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-4mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-3mdk
- recompile against new vorbis stuff

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-2mdk
- recompile against SDL which isn't dependant upon arts/esd

* Thu May 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- new version (important bugfix release)

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-3mdk
- Automated rebuild in gcc3.1 environment

* Sun Apr 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-2mdk
- rebuild for new alsa version

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- new version

* Tue Jan 15 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-1mdk
- Bumped to version 1.2.1.
- Fixed URL.
- removed Patch0.

* Thu Dec 20 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-5mdk
- Fix Requires mistake (Stefan sux)

* Wed Dec 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-4mdk
- fix filelist
- fix Requires on -devel package
- Add Provides for Obsoletes (rpmlint)

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-3mdk
- BuildRequires:	alsa-lib-devel
- Copyright --> License
- Removed BuildRequires:	audiofile-devel

* Sun Jun 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- fix default path for timidity.cfg

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0
- rename player subpackage to "SDL_mixer-player"
- dadouize buildroot

* Thu Mar 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- fix segfaults in rocksndiamonds when no sound, by protecting some
  routines from being called when /dev/dsp is not available

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-4mdk
- macros
- against cool new libogg and libvorbis
- new lib policy
- split package for binaries

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-3mdk
- rebuild against newest oggvorbis to get vorbis support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-2mdk
- automatically added BuildRequires

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- change buildrequires
- v1.0.5

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-4mdk
- Use makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-3mdk
- Fix macros with new libtoolize.
- Use %-configure.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- v1.0.4
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
